Package com.pixelmed.ftp

# Class FTPRemoteHost

java.lang.Object
com.pixelmed.ftp.FTPRemoteHost

Direct Known Subclasses:
  `FTPRemoteHostConfigurationDialog`

public class FTPRemoteHost extends Object

This class provides a description of the parameters of a remote FTP host.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`directory`
`protected String`
`host`
`protected String`
`password`
`protected FTPSecurityType`
`security`
`protected String`
`user`

## Constructor Summary

Constructors
Constructor
Description
`FTPRemoteHost()`
`FTPRemoteHost(FTPRemoteHost r)`
`FTPRemoteHost(String host, String user, String password, String directory, FTPSecurityType security)`
`FTPRemoteHost(String host, String user, String password, String directory, String security)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`final String`
`getDirectory()`
`final String`
`getHost()`
`final String`
`getPassword()`
`final FTPSecurityType`
`getSecurity()`
`final String`
`getUser()`
`void`
`setDirectory(String directory)`
`void`
`setHost(String host)`
`void`
`setPassword(String password)`
`void`
`setSecurity(FTPSecurityType security)`
`void`
`setSecurity(String security)`
`void`
`setUser(String user)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### host

protected String host

### user

protected String user

### password

protected String password

### directory

protected String directory

### security

protected FTPSecurityType security

## Constructor Details

### FTPRemoteHost

public FTPRemoteHost()

### FTPRemoteHost

public FTPRemoteHost(FTPRemoteHost r)

### FTPRemoteHost

public FTPRemoteHost(String host, String user, String password, String directory, FTPSecurityType security)

### FTPRemoteHost

public FTPRemoteHost(String host, String user, String password, String directory, String security)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### setHost

public void setHost(String host)

### setUser

public void setUser(String user)

### setPassword

public void setPassword(String password)

### setDirectory

public void setDirectory(String directory)

### setSecurity

public void setSecurity(FTPSecurityType security)

### setSecurity

public void setSecurity(String security)

### getHost

public final String getHost()

### getUser

public final String getUser()

### getPassword

public final String getPassword()

### getDirectory

public final String getDirectory()

### getSecurity

public final FTPSecurityType getSecurity()

### toString

public String toString()

Overrides:
  `toString` in class `Object`